﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TabViewMauiSample.ViewModel
{
    public class TabItemsSourceViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler? PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
           PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        private ObservableCollection<Model> tabItems;

      

        public ObservableCollection<Model> TabItems
        {
            get { return tabItems; }
            set
            {
                tabItems = value;
                OnPropertyChanged("TabItems");
            }
        }
        public TabItemsSourceViewModel()
        {
            TabItems = new ObservableCollection<Model>();
            TabItems.Add(new Model() { Name = "Alexandar" });
            TabItems.Add(new Model() { Name = "Gabriella" });
            TabItems.Add(new Model() { Name = "Clara" });
            TabItems.Add(new Model() { Name = "Tye" });
            TabItems.Add(new Model() { Name = "Nora" });
            TabItems.Add(new Model() { Name = "Sebastian" });

        }

    }

    public class Model
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }
    }
}
